Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047521 - [Reports-Setup] Installation fails on clean install with existing reports user.
Summary: [Reports-Setup] Installation fails on clean install with existing reports user.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports
Version: 3.3.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.3.0
Assignee: Yedidyah Bar David
QA Contact: Barak Dagan
URL:
Whiteboard: integration
Depends On:
Blocks: rhev3.3ga
TreeView+ depends on / blocked
 
Reported: 2013-12-31 14:02 UTC by Yaniv Lavi
Modified: 2015-09-22 13:10 UTC (History)
8 users (show)

Fixed In Version: IS31 - rhevm-reports-3.3.0-28.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Previously, rhevm-reports-setup would fail on a clean installation because there was a mismatch in the reports user and ownership. This update fixes the instances when ownership was not correctly recognized, and fixes the change to the database credentials dictionary that could incorrectly cause the setup to try to use the wrong credentials.
Clone Of:
Environment:
Last Closed: 2014-01-21 14:57:25 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0035 0 normal SHIPPED_LIVE rhevm-reports 3.3 bug fix and enhancement update 2014-01-21 19:53:30 UTC
oVirt gerrit 22708 0 None None None Never
oVirt gerrit 23047 0 None None None Never

Description Yaniv Lavi 2013-12-31 14:02:04 UTC
Description of problem:
- Fixed setup failure on existing user creation attempt.
- Fixed instances that ownership wasn't recognized correctly.
- Fixed wrong change to dc dict that could cause setup to try to create engine user.

Version-Release number of selected component (if applicable):
3.3.0

Comment 2 Yedidyah Bar David 2014-01-15 07:52:01 UTC
Not sure the doctext reflects the fixes even with this update, because the final change fixed also other flows tested during its review (local/remote db, clean setup/upgrade). Whatever. Whoever that really wants to know can look at the change itself in gerrit - we are open-source, after all.

Comment 3 Barak Dagan 2014-01-16 22:07:36 UTC
verified on is32.2:

rhevm-dwh-3.3.0-28.el6ev.noarch
jasperreports-server-pro-5.5.0-4.el6ev.noarch
rhevm-reports-3.3.0-28.el6ev.noarch

1) clean install 3.3 remote + local
2) upgrade of 3.2.5 -> 3.3 on local & remote (db owner postgres / dbadmin) + known sso users (password = encrypted null)
3) upgrade 3.1.5.1 -> 3.2.5  -> 3.3 remote + local

Comment 5 errata-xmlrpc 2014-01-21 14:57:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0035.html


Note You need to log in before you can comment on or make changes to this bug.